Subject: bug#73727: dired-view-file vs. emacs -nw

From: Dan Jacobson <[email-masked]>
Date: Sat, 26 Oct 2024 16:57:44 +0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
EZ> I don't see how this changes what I already told above.

If you used emacs -nw exclusively for two months, like I have, you would
notice even more problems.

E.g., every time the user opens an image file by accident,
they will see, along with the binary mess,
"File mode specification error: (error Display does not support images)"
It would be better to warn them
"emacs -nw has no image support.  Use find-file-literally if you really want to edit this image."
and not open the file.

What's worse is view-mode doesn't even have a warning. Sure, it is
tailored for the 1% of users who really are using emacs -nw to view the
guts of JPGs.